#!/bin/ksh

# First, we must set the environment . . . .
ORACLE_SID=sa9
ORACLE_HOME=`cat /etc/oratab|grep $ORACLE_SID|cut -f2 -d':'`
PATH=$ORACLE_HOME/bin:$PATH
MON=`echo ~oracle/mon`

SERVER_NAME=`uname -a|awk '{print $2}'`
echo "server " $SERVER_NAME

SAMPLE_TIME=3600

while true
do
   vmstat ${SAMPLE_TIME} 2 > $MON/msg$$

   # This script is intended to run starting at 7:00 AM EST Until midnight EST
cat $MON/msg$$|sed 1,4d | awk  '{ printf("%s %s %s %s %s\n", $1, $6, $7, $14, $1
5) }' | while read RUNQUE PAGE_IN PAGE_OUT USER SYSTEM
   do

      TOT=`expr $USER + $SYSTEM`

      sqlplus -s / <<EOF
      insert into sys.mon_vmstats
                           values (
                             sysdate, 
                             $SAMPLE_TIME,
                             '$SERVER_NAME',
                             $RUNQUE,
                             $PAGE_IN,
                             $PAGE_OUT,
                             $TOT
                                  );
      select * from sys.mon_vmstats;
      EXIT
EOF
   done
done
   rm $MON/msg$$
